Bug 1078848 (CVE-2014-0147) - CVE-2014-0147 Qemu: block: possible crash due signed types or logic error
Summary: CVE-2014-0147 Qemu: block: possible crash due signed types or logic error
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0147
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1079335 1079336 1079337 1079338 1079339 1086717 1087112 1087126 1087140 1108461
Blocks: 1066967 1086694
TreeView+ depends on / blocked
 
Reported: 2014-03-20 12:10 UTC by Prasad J Pandit
Modified: 2019-09-29 13:14 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-27 13:10:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0420 normal SHIPPED_LIVE Moderate: qemu-kvm security update 2014-04-22 21:39:52 UTC
Red Hat Product Errata RHSA-2014:0421 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-22 21:39:32 UTC
Red Hat Product Errata RHSA-2014:0434 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-24 21:35:56 UTC
Red Hat Product Errata RHSA-2014:0435 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-24 21:35:47 UTC
Red Hat Product Errata RHSA-2014:0674 normal SHIPPED_LIVE Moderate: rhev-hypervisor6 3.4.0 security, bug fix, and enhancement update 2014-06-09 18:35:12 UTC

Description Prasad J Pandit 2014-03-20 12:10:51 UTC
Qemu block diver for the various disk image formats used by Bochs and for the
QCOW version 2 format, are vulnerable to a possible crash caused by signed data
types or a logic error while creating QCOW2 snapshots, which leads to
incorrectly calling update_refcount() routine.

An user able to alter the Qemu disk image files loaded by a guest could use
this flaw to crash the Qemu instance resulting in DoS or corrupt QEMU process
memory on the host, which could potentially result in arbitrary code execution
on the host with the privileges of the QEMU process.

Upstream fix:
-------------
qcow2: Don't rely on free_cluster_index in alloc_refcount_bl
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=b106ad9185f35fc4ad669555ad0e79e276083bd7

bochs: Use unsigned variables for offsets and sizes
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=246f65838d19db6db55bfb41117c35645a2c4789

Comment 1 Prasad J Pandit 2014-03-21 10:33:34 UTC
Statement:

This issue affects the versions of kvm package as shipped with Red Hat
Enterprise Linux 5.

This issue affects the versions of qemu-kvm package as shipped with Red Hat
Enterprise Linux 6.

Comment 5 Prasad J Pandit 2014-03-25 13:22:03 UTC
Acknowledgement:

These issues were discovered by Kevin Wolf of Red Hat Inc.

Comment 6 Prasad J Pandit 2014-04-11 11:28:51 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1086717]

Comment 10 errata-xmlrpc 2014-04-22 17:41:13 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0421 https://rhn.redhat.com/errata/RHSA-2014-0421.html

Comment 11 errata-xmlrpc 2014-04-22 17:42:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0420 https://rhn.redhat.com/errata/RHSA-2014-0420.html

Comment 12 errata-xmlrpc 2014-04-24 17:37:27 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2014:0435 https://rhn.redhat.com/errata/RHSA-2014-0435.html

Comment 13 errata-xmlrpc 2014-04-24 17:38:30 UTC
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6

Via RHSA-2014:0434 https://rhn.redhat.com/errata/RHSA-2014-0434.html

Comment 14 Fedora Update System 2014-05-01 22:26:51 UTC
qemu-1.6.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2014-06-09 14:37:35 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0674 https://rhn.redhat.com/errata/RHSA-2014-0674.html


Note You need to log in before you can comment on or make changes to this bug.